Name:           cminpack
Version:        1.3.1
Release:        1%{?dist}
Summary:        Solver for nonlinear equations and nonlinear least squares problems

Group:          Development/Libraries
License:        BSD
URL:            http://devernay.free.fr/hacks/cminpack/cminpack.html
Source0:        http://devernay.free.fr/hacks/cminpack/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  gcc-gfortran


%description
cminpack is an ISO C99 implementation of the FORTRAN Minpack solver package.
It is fully re-entrant and thread-safe.

%package devel
Summary: Header files and libraries for cminpack
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Contains the development headers and libraries needed to build a program with
cminpack.

%prep
%setup -q

%build
mkdir build
pushd build
%cmake -DUSE_FPIC=ON -DSHARED_LIBS=ON -DBUILD_EXAMPLES=ON -DBUILD_EXAMPLES_FORTRAN=ON -DCMINPACK_LIB_INSTALL_DIR=%{_lib} ..
popd
make -C build  %{?_smp_mflags}


%install
rm -rf %{buildroot}
make -C build install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CopyrightMINPACK.txt readme.txt readmeC.txt
%{_libdir}/libcminpack.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.html doc/*.txt
%{_libdir}/pkgconfig/*
%{_libdir}/libcminpack.so
%{_includedir}/cminpack-1


%changelog
* Sat Oct 19 2013 Rich Mattes <richmattes@gmail.com> - 1.3.1-1
- Update to release 1.3.1 to remove non-free nvidia headers from srpm (rhbz#1019037) 

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 28 2012 Rich Mattes <richmattes@gmail.com> - 1.3.0-2
- Bump to maintain upgradepath

* Sat Oct 27 2012 Rich Mattes <richmattes@gmail.com> - 1.3.0-1
- Update to release 1.3.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Dan Horák <dan[at]danny.cz> - 1.2.2-2
- fix build on 64-bit secondary arches

* Fri May 25 2012 Rich Mattes <richmattes@gmail.com> - 1.2.2-1
- Upgrade to version 1.2.2

* Sat Feb 18 2012 Rich Mattes <richmattes@gmail.com> - 1.1.4-1
- Upgrade to version 1.1.4

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 25 2011 Dan Horák <dan[at]danny.cz> - 1.1.3-2
- fix build on non-x86 64-bit arches

* Wed Mar 23 2011 - Rich Mattes <richmattes@gmail.com> - 1.1.3-1
- Upgrade to vesion 1.1.3

* Sun Dec 05 2010 - Rich Mattes <richmattes@gmail.com> - 1.1.2-1
- Initial build
